Skip to main content
PUT
Update a list

Authorizations

X-API-KEY
string
header
required

Your API key

Path Parameters

id
string
required

UUID of the list to update. A numeric LinkedIn (Sales Navigator) list ID is accepted too

Body

application/json
companies
object[]

Companies to append to the list. Companies already in the list are not duplicated

Example:
webhook_url
string<uri>

Replaces the list's webhook URL when present

live
boolean
default:true

true (default) also updates the LinkedIn Sales Navigator list, which requires valid LinkedIn credentials. false matches against the Pipecorn database only

Response

List updated

name
string

Name of the list

Example:

"Tech Companies 2024"

id
string<uuid>

UUID of the list

Example:

"8e1dcba0-f0bb-4071-99fc-f18ba6559ccc"

linkedin_id
string

ID of the LinkedIn Sales Navigator list, as a string. Empty when the list was created with live: false

Example:

"7123456789012345678"

type
enum<string>

What the list contains

Available options:
companies,
leads
Example:

"companies"

status
enum<string>

Status of the list import

Available options:
NOT_STARTED,
ONGOING,
FINISHED,
ERROR,
NOT_ENOUGH_CREDITS,
FORBIDDEN,
LIMIT_REACHED,
UNAUTHORIZED,
SCHEDULED
Example:

"FINISHED"

companies_requested_count
integer

Number of companies submitted (company lists only)

Example:

2

companies_found_count
integer

Number of companies matched so far (company lists only)

Example:

1

companies_not_found
string[]

Names of the submitted companies that could not be matched, lowercased and trimmed (not the objects you submitted). Empty until the list is FINISHED (company lists only)

Example:
created_at
string<date-time>
Example:

"2024-01-01T00:00:00Z"

updated_at
string<date-time>
Example:

"2024-01-02T00:00:00Z"

companies
object[] | null

Matched companies. null for lead lists